Partner Zone
Partner Zone

Issue when upgrading multi currency file

Highlighted
David2310
2 Posts
Cover User
David2310
Cover User

2Posts

0Kudos

0Solutions

Solved: Go to Solution

Issue when upgrading multi currency file

I am having difficulties to upgrade my file from MYOB classic V19 into accounting Right using the multi currency - 

The file does not have any of the following : This is only an importator.

crossForeign sales
crossForeign purchases that use layouts other than Item and Service
crossGST on foreign transactions​
crossForeign general journals​

 

Many thanks for any help,

 

David

Capture.PNG
8 REPLIES 8
Ultimate User gavin12345
2,679 Posts
Ultimate User
Australia
gavin12345
Ultimate User

2679Posts

2049Kudos

385Solutions

Re: Issue when upgrading multi currency file

Hi @David2310

 

The list you pasted explains the transactions types that AR2018.4 does not support. 

 

My understanding is that upgrading a v19 file is a different matter entirely. If your v19 file has multi currency switched on, it cannot be upgraded.  See https://community.myob.com/t5/Multi-Currency-Test-Drive/What-you-can-and-can-t-do-with-multi-currenc... where it states what you cannot do:

 

  • Upgrade from v19 multi-currency files – multi-currency users will require help from MYOB and their advisor to upgrade from v19 and use multi-currency in AccountRight 2018. We need to manually export data from v19 and import those transactions into ARL. (it’s complicated and time consuming)

While this may have changed with the later version, the image you pasted indicates your file has some of the listed transaction types that prevent upgrade at this stage.

 

Regards

Gavin

Partner TingSpace
225 Posts
Partner
Australia
TingSpace
Partner

225Posts

146Kudos

50Solutions

Accepted Solution Solved Solution

Re: Issue when upgrading multi currency file

@David2310

 

Hey there! Welcome to the MYOB Forum!

 

If the software is throwing that message, it means it's detected a transaction in the datafile that meets any of that criteria. This would be checking your entire transaction history too. So if there was a transaction a few years ago, this will still cause problems.

 

There's a MYOB Help Wiki on how to upgrade Multi Currency files now too: Upgrading a Premier multi-currency company file

 

 

Looks like they're adding more and more upgrade ability as releases come out, so it might be worth waiting until the next release or the one after to upgrade as those tools would begin allowing the file to go through.

~TingSpace
Contributing User Marg1
7 Posts
Contributing User
Marg1
Contributing User

7Posts

0Kudos

0Solutions

Re: Issue when upgrading multi currency file

When will FX transacions be fully supported in version 2019.2? From 1/7/19, the ATO requires us to use Single Touch Payroll but this isn't available in AccountRight Premier which I'm still having to use for our FX transactions. Has MYOB agreed with ATO that Premier users don't need to use STP until we can use 2019.2 for our FX transactions?? Please clarify this situation asap as MYOB support seems unable to clarify.

Experienced Cover User Lehan_Aus
13 Posts
Experienced Cover User
Australia
Lehan_Aus
Experienced Cover User

13Posts

1Kudos

0Solutions

Re: Issue when upgrading multi currency file

Replying to Marg1: I had an online chat about this issue with MYOB today. They are hoping to have a new release of AccountRight 2019 before the end of the financial year, which will be able to import old files with multi currency transactions. Here's a copy-and-paste of what he wrote in case it doesn't happen:


"In saying that, if we are not able to provide a solution for your 2nd file by 1/7, then we still have an active deferral available with the ATO for clients like yourself who are not yet able to report via STP on certain company files. The deferral code is 43 164 997 and it is valid until 30th September 2019."

 

Not a super solution but at least ensures that you are not penalised by the ATO.

MYOB Product Team Haydes
6,147 Posts
MYOB Product Team
Australia
Haydes
MYOB Product Team

6147Posts

994Kudos

876Solutions

Re: Issue when upgrading multi currency file

Hi @Marg1 @David2310 @Lehan_Aus @TingSpace @gavin12345 

 

With the release of 2019.2 this will allow files with Multi Currency and Multiple Inventory locations to upgrade directly to this version. However this upgrade will be only available via the Online Method. You can use the file offline later, however the upgrade itself can only be done online.

 

2019.2 should be available now, see: AccountRight 2019.2 is now available

 

As for an STP Deferral, the Deferral that covers users of Multiple Currencies ends on 31/05. However if you use M-Powered Payments, you can have the deferral cover until 30/09. See: M-Powered and AccountRight 2019

 

@Lehan_Aus - I understand this conflicts with your conversation with the support teams, are you able to send me a PM with the person you spoke with so I can pass this info to them? You can send me a PM by clicking this link: Send Hayden a PM



Cheers,

Hayden
MYOB Product Team
Contributing Partner ProfitOptim
8 Posts
Contributing Partner
Australia
ProfitOptim
Contributing Partner

8Posts

0Kudos

0Solutions

Re: Issue when upgrading multi currency file

I need a new deferral number for the issue of the MYOB API not yet processing foreign currency transactions from a  3rd party addon. I have been told by the MYOB developers that tehre is no immediate fix as yet.

 

So we need a deferral number to cover not being coveron the 01/07/19.

 

Is this being looked at.

Scott1970
4 Posts
Cover User
Australia
Scott1970
Cover User

4Posts

3Kudos

0Solutions

Re: Issue when upgrading multi currency file

Hi Hayden,

 

I hope you're well.  I tried updating to the new version this week and I received the same error message.  My first payroll was today and I'm now in violation of the STP because of it.  I'm feeling somewhat let down because i've been waiting years to upgrade because of multi currency and yet i still can't.

 

Scott

Scott1970
4 Posts
Cover User
Australia
Scott1970
Cover User

4Posts

3Kudos

0Solutions

Re: AccountRight 2019.2.1 is now available

Hi, I can't upgrade to this version from v19.  When i try it says it won't support some of my multi currency transactions.  I've been waiting years to upgrade because of multi currencies.  Still can't. And now i'm violating STP because i can't upgrade.  Anyone help me?

Didn't find your answer here?
Try using advanced search to find a post more easily Advanced Search
or
Get the conversation started and make a new post Start a Post